html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.spinner-overlay {
    display: none; /* Initially hidden */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
    z-index: 1050; /* Ensure it is on top of everything */
    display: flex;
    justify-content: center;
    align-items: center;
}

.spinner-container {
    text-align: center; /* Center the text under the spinner */
}

.spinner-border-lg {
    width: 5rem;
    height: 5rem;
    border-width: 0.5em;
}

.spinner-border {
    animation: spinner-border 1s linear infinite; /* Ensure only the spinner rotates */
}

@keyframes spinner-border {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.spinner-overlay span {
    display: block;
    color: #ffffff; /* White text color for visibility */
    margin-top: 1rem; /* Space between spinner and text */
}